unit uIDataModuleAlbaranesProveedorReport;

interface

uses
  uROTypes, uIntegerListUtils;

type
  IDataModuleAlbaranesProveedorReport = interface
  ['{FC37B698-7FBF-4658-BBD0-CBD4F6891CDF}']
    function GetReport(const ListaID: TIntegerList; const ImprimirPrecio: Boolean = True;
      const ImprimirRefProveedor: Boolean = True): Binary;
    function GetRptWordAlbaran(const AID: Integer; const ImprimirPrecio: Boolean = True;
      const ImprimirRefProveedor: Boolean = True): Binary;
    function GetRptPDFAlbaran(const AID: Integer; const ImprimirPrecio: Boolean = True;
      const ImprimirRefProveedor: Boolean = True): Binary;
  end;

implementation

end.


